package com.fjhx.sale.service.pack.impl;

import com.fjhx.sale.entity.pack.po.PackDetail;
import com.fjhx.sale.mapper.pack.PackDetailMapper;
import com.fjhx.sale.service.pack.PackDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackDetailVo;
import com.fjhx.sale.entity.pack.dto.PackDetailSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.sale.entity.pack.dto.PackDetailDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 装箱出货明细表	 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Service
public class PackDetailServiceImpl extends ServiceImpl<PackDetailMapper, PackDetail> implements PackDetailService {

    @Override
    public Page<PackDetailVo> getPage(PackDetailSelectDto dto) {
        IWrapper<PackDetail> wrapper = getWrapper();
        wrapper.orderByDesc("pd", PackDetail::getId);
        Page<PackDetailVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public PackDetailVo detail(Long id) {
        PackDetail PackDetail = this.getById(id);
        PackDetailVo result = BeanUtil.toBean(PackDetail, PackDetailVo.class);
        return result;
    }

    @Override
    public void add(PackDetailDto packDetailDto) {
        this.save(packDetailDto);
    }

    @Override
    public void edit(PackDetailDto packDetailDto) {
        this.updateById(packDetailDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
