package com.fjhx.sale.service.pack.impl;

import com.fjhx.sale.entity.pack.po.Pack;
import com.fjhx.sale.mapper.pack.PackMapper;
import com.fjhx.sale.service.pack.PackService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackVo;
import com.fjhx.sale.entity.pack.dto.PackSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.sale.entity.pack.dto.PackDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 装箱出货表 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Service
public class PackServiceImpl extends ServiceImpl<PackMapper, Pack> implements PackService {

    @Override
    public Page<PackVo> getPage(PackSelectDto dto) {
        IWrapper<Pack> wrapper = getWrapper();
        wrapper.orderByDesc("p", Pack::getId);
        Page<PackVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public PackVo detail(Long id) {
        Pack Pack = this.getById(id);
        PackVo result = BeanUtil.toBean(Pack, PackVo.class);
        return result;
    }

    @Override
    public void add(PackDto packDto) {
        this.save(packDto);
    }

    @Override
    public void edit(PackDto packDto) {
        this.updateById(packDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
