package com.fjhx.wms.entity.stock.emums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum JournalType {
//    操作类型 1手动入库 2手动出库 3调仓 4待入库入库 5待出库出库

    COMBINATION_IN(InOutType.IN, 6, "组合入库", "group_record_details"),
    COMBINATION_OUT(InOutType.OUT, 7, "组合出库", "group_record_details"),
    SPLIT_IN(InOutType.IN, 8, "组合拆分入库", "group_record_details"),
    SPLIT_OUT(InOutType.OUT, 9, "组合拆分出库", "group_record_details"),
    MANUAL_IN(InOutType.IN, 1, "手动入库", ""),
    MANUAL_OUT(InOutType.OUT, 2, "手动出库", ""),
    ADJUSTING(InOutType.ADJUSTING, 3, "调仓", ""),
    STOCK_WAIT_IN(InOutType.IN, 4, "待入库入库", "stock_wait"),
    STOCK_WAIT_OUT(InOutType.OUT, 5, "待出库入库", "stock_wait");

    /**
     * 出入库类型
     */
    private final InOutType type;

    /**
     * 详细类型
     */
    private final Integer detailType;

    /**
     * 信息类型说明
     */
    private final String detailTypeRemark;

    /**
     * 关联业务表名
     */
    private final String linkBusinessTableName;

}
